Module javafx.controls
Package javafx.scene.control.skin

# Class HyperlinkSkin

java.lang.Object
javafx.scene.control.SkinBase<C>
javafx.scene.control.skin.LabeledSkinBase<Hyperlink>
javafx.scene.control.skin.HyperlinkSkin

All Implemented Interfaces:
  `Skin<Hyperlink>`

    public class HyperlinkSkin
    extends LabeledSkinBase<Hyperlink>

Default skin implementation for the `Hyperlink` control.

Since:
  9
See Also:
  `Hyperlink`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `HyperlinkSkin​(Hyperlink control)` | Creates a new HyperlinkSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `dispose()` | Called by a Skinnable when the Skin is replaced on the Skinnable.

  ### Methods inherited from class javafx.scene.control.skin.LabeledSkinBase

  `computeBaselineOffset, computeMaxHeight, computeMaxWidth, computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, layoutChildren, layoutLabelInArea, layoutLabelInArea, queryAccessibleAttribute, updateChildren`

  ### Methods inherited from class javafx.scene.control.SkinBase

  `consumeMouseEvents, executeAccessibleAction, getChildren, getClassCssMetaData, getCssMetaData, getNode, getSkinnable, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, registerChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HyperlinkSkin

    public HyperlinkSkin​(Hyperlink control)
    Creates a new HyperlinkSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
    Parameters:
      `control` - The control that this skin should be installed onto.

- ## Method Details

  - ### dispose

    public void dispose()
    Called by a Skinnable when the Skin is replaced on the Skinnable. This method allows a Skin to implement any logic necessary to clean up itself after the Skin is no longer needed. It may be used to release native resources. The methods `Skin.getSkinnable()` and `Skin.getNode()` should return null following a call to dispose. Calling dispose twice has no effect.
    Specified by:
      `dispose` in interface `Skin<Hyperlink>`
    Overrides:
      `dispose` in class `SkinBase<Hyperlink>`